Cash app and after pay not showing on square hosted checkout

{
“merchant_settings”: {
“payment_methods”: {
“apple_pay”: {
“enabled”: true
},
“google_pay”: {
“enabled”: true
},
“cash_app”: {
“enabled”: true
},
“afterpay_clearpay”: {
“order_eligibility_range”: {
“min”: {
“amount”: 1000,
“currency”: “USD”
},
“max”: {
“amount”: 200000,
“currency”: “USD”
}
},
“item_eligibility_range”: {
“min”: {
“amount”: 1000,
“currency”: “USD”
},
“max”: {
“amount”: 200000,
“currency”: “USD”
}
},
“enabled”: true
}
},
“updated_at”: “2026-06-20 00:47:43 +0000 UTC”
}
}

i already enabled GET /v2/online-checkout/merchant-settings

google pay and apple pay working fine when i enabled it’s shows on square checkout but cash app and after pay not showing even after pay enabled from dashboard may i still need to enabled while creating payment link checkout_options and accepted_payment_methods ?

@Bryan-Square any update on this ?

Could you check your CreatePaymentLink request body to confirm you’re passing cash_app_pay and afterpay_clearpay in checkout_options.accepted_payment_methods? Apple Pay and Google Pay appear by default, but Cash App and Afterpay need to be explicitly opted in.